Package ru.bitel.bgbilling.modules.megogo.server.event

# Class MegogoSubscriptionRequestedEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.modules.megogo.server.event.MegogoSubscriptionRequestedEvent

All Implemented Interfaces:
  `Serializable`

public class MegogoSubscriptionRequestedEvent extends ru.bitel.bgbilling.kernel.event.common.QueueEvent
Асинхронное событие, бросаемое после того, как произвели успешный запрос к Megogo связанный с подпиской(подписка, отписка, приостановка, возобновление).

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MegogoSubscriptionRequestedEvent()`
  `MegogoSubscriptionRequestedEvent(int moduleId, int contractId, int userId, MegogoSubscription subscription, int contractSubscriptionId, int requestType)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getContractSubscriptionId()`
  Код подписки договора, может быть -1, если это новая подписка
  `int`
  `getRequestType()`
  `MegogoContractSubRequestLog`
  MegogoContractSubRequestLog.MEGOGO_REQUEST_TYPE_SUBSCRIBE = 1; MegogoContractSubRequestLog.MEGOGO_REQUEST_TYPE_UNSUBSCRIBE = 2; MegogoContractSubRequestLog.MEGOGO_REQUEST_TYPE_SUSPEND = 3; MegogoContractSubRequestLog.MEGOGO_REQUEST_TYPE_RESUME = 4;
  `MegogoSubscription`
  `getSubscription()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MegogoSubscriptionRequestedEvent

    public MegogoSubscriptionRequestedEvent()

  - ### MegogoSubscriptionRequestedEvent

    public MegogoSubscriptionRequestedEvent(int moduleId, int contractId, int userId, MegogoSubscription subscription, int contractSubscriptionId, int requestType)

- ## Method Details

  - ### getSubscription

    public MegogoSubscription getSubscription()

  - ### getContractSubscriptionId

    public int getContractSubscriptionId()
    Код подписки договора, может быть -1, если это новая подписка

  - ### getRequestType

    public int getRequestType()
    `MegogoContractSubRequestLog`
    MegogoContractSubRequestLog.MEGOGO_REQUEST_TYPE_SUBSCRIBE = 1; MegogoContractSubRequestLog.MEGOGO_REQUEST_TYPE_UNSUBSCRIBE = 2; MegogoContractSubRequestLog.MEGOGO_REQUEST_TYPE_SUSPEND = 3; MegogoContractSubRequestLog.MEGOGO_REQUEST_TYPE_RESUME = 4;
    Returns:
      код запроса